Scene3 = {}
Scene3.new = function ()
	
	local this = {}
	
	this.id = "出来上がりシーン"
	this.canvas = love.graphics.newCanvas()
	
	this.backGround = love.graphics.newImage ( "background.png" )
	this.image = love.graphics.newImage ( "zundaaa_a_600_600.png" )
	
	this.x = 0
	this.move = 2

	this.backColor = 0
	this.backColorMove = 0.1

	
	--=========================================================
	-- 更新
	--=========================================================
	this.update = function(self, dt)
		
		-- 動かす
		self.x = self.x + self.move
		
		if (self.move > 0) then
			
			if ( self.x > 60 ) then
				self.move = self.move * -1
			end
		
		else
			if ( self.x < 0 ) then
				self.move = self.move * -1
			end
		
		end
		
	end
	
	--=========================================================
	-- 描画
	--=========================================================
	this.draw = function(self)
		
		love.graphics.draw ( self.backGround, 80, 60  )
		love.graphics.draw ( self.image, 100 + self.x, 0  )

	end
	
	--=========================================================
	-- マウスボタン受付
	--=========================================================
	this.mousereleased = function ( self, x, y, buttonNum )
	
		if ( buttonNum == 1 ) then
			
			sceneManager.nextScene = "scene1"
			sceneManager:changeScene("scene1")
		
		end
		
	end
	
	--=========================================================
	-- シーン開始
	--=========================================================
	this.enter = function(self)
		print("開始："..self.id)
		
		
	end
	--=========================================================
	-- シーン終了
	--=========================================================
	this.leave = function(self)
		print("終了："..self.id)

	end
	
	
	
	return this
end
